Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionGroupBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionGroupBox

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionGroupBox

extends QStyleOptionComplex

The `QStyleOptionGroupBox` class describes the parameters for drawing a group box.

`QStyleOptionButton` contains all the information that `QStyle` functions need the various graphical elements of a group box.

It holds the `lineWidth` and the `midLineWidth` for drawing the panel, the group box's title and the title's alignment and color.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QStyleOptionComplex`, `QGroupBox`

Nested Class Summary
`static class` | `QStyleOptionGroupBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionGroupBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionGroupBox()` Constructs a `QStyleOptionGroupBox`, initializing the members variables to their default values.
`protected` | `QStyleOptionGroupBox(int version)`
`` | `QStyleOptionGroupBox(QStyleOptionGroupBox other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionFrameV2.FrameFeatures` | `features()` Returns the features of the group box frame.
`static QStyleOptionGroupBox` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionGroupBox instance pointed to by nativePointer
`int` | `lineWidth()` Returns the line width for drawing the panel.
`int` | `midLineWidth()` Returns the mid-line width for drawing the panel.
`static QNativePointer` | `nativePointerArray(QStyleOptionGroupBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionGroupBox array.
`void` | `setFeatures(QStyleOptionFrameV2.FrameFeature... features)` Sets the features of the group box frame to `features`.
`void` | `setFeatures(QStyleOptionFrameV2.FrameFeatures features)` Sets the features of the group box frame to `features`.
`void` | `setLineWidth(int lineWidth)` Sets the line width for drawing the panel to `lineWidth`.
`void` | `setMidLineWidth(int midLineWidth)` Sets the mid-line width for drawing the panel to `midLineWidth`.
`void` | `setText(java.lang.String text)` Sets the text of the group box to `text`.
`void` | `setTextAlignment(Qt.Alignment textAlignment)` Sets the alignment of the group box title to `textAlignment`.
`void` | `setTextAlignment(Qt.AlignmentFlag... textAlignment)` Sets the alignment of the group box title to `textAlignment`.
`void` | `setTextColor(QColor textColor)` Sets the color of the group box title to `textColor`.
`java.lang.String` | `text()` Returns the text of the group box.
`Qt.Alignment` | `textAlignment()` Returns the alignment of the group box title.
`QColor` | `textColor()` Returns the color of the group box title.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionGroupBox

    public QStyleOptionGroupBox(QStyleOptionGroupBox other)

  Constructs a copy of the `other` style option.

### QStyleOptionGroupBox

    public QStyleOptionGroupBox()

  Constructs a `QStyleOptionGroupBox`, initializing the members variables to their default values.

### QStyleOptionGroupBox

    protected QStyleOptionGroupBox(int version)

Method Detail

### setLineWidth

    public final void setLineWidth(int lineWidth)

  Sets the line width for drawing the panel to `lineWidth`.

  The value of this variable is, currently, always 1.

  See Also:
    `QFrame::lineWidth`

### lineWidth

    public final int lineWidth()

  Returns the line width for drawing the panel.

  The value of this variable is, currently, always 1.

  See Also:
    `setLineWidth`, `QFrame::lineWidth`

### setFeatures

    public final void setFeatures(QStyleOptionFrameV2.FrameFeature... features)

  Sets the features of the group box frame to `features`.

  The frame is flat by default.

  See Also:
    `features`, `QStyleOptionFrameV2::FrameFeature`

### setFeatures

    public final void setFeatures(QStyleOptionFrameV2.FrameFeatures features)

  Sets the features of the group box frame to `features`.

  The frame is flat by default.

  See Also:
    `features`, `QStyleOptionFrameV2::FrameFeature`

### features

    public final QStyleOptionFrameV2.FrameFeatures features()

  Returns the features of the group box frame.

  The frame is flat by default.

  See Also:
    `setFeatures`, `QStyleOptionFrameV2::FrameFeature`

### setTextAlignment

    public final void setTextAlignment(Qt.AlignmentFlag... textAlignment)

  Sets the alignment of the group box title to `textAlignment`.

  The default value is Qt::AlignLeft.

  See Also:
    `textAlignment`, `QGroupBox::alignment`

### setTextAlignment

    public final void setTextAlignment(Qt.Alignment textAlignment)

  Sets the alignment of the group box title to `textAlignment`.

  The default value is Qt::AlignLeft.

  See Also:
    `textAlignment`, `QGroupBox::alignment`

### textAlignment

    public final Qt.Alignment textAlignment()

  Returns the alignment of the group box title.

  The default value is Qt::AlignLeft.

  See Also:
    `setTextAlignment`, `QGroupBox::alignment`

### setMidLineWidth

    public final void setMidLineWidth(int midLineWidth)

  Sets the mid-line width for drawing the panel to `midLineWidth`.

  The mid-line width is usually used when drawing sunken or raised group box frames. The value of this variable is, currently, always 0.

  See Also:
    `QFrame::midLineWidth`

### midLineWidth

    public final int midLineWidth()

  Returns the mid-line width for drawing the panel.

  The mid-line width is usually used when drawing sunken or raised group box frames. The value of this variable is, currently, always 0.

  See Also:
    `setMidLineWidth`, `QFrame::midLineWidth`

### setText

    public final void setText(java.lang.String text)

  Sets the text of the group box to `text`.

  The default value is an empty string.

  See Also:
    `text`, `QGroupBox::title`

### text

    public final java.lang.String text()

  Returns the text of the group box.

  The default value is an empty string.

  See Also:
    `setText`, `QGroupBox::title`

### setTextColor

    public final void setTextColor(QColor textColor)

  Sets the color of the group box title to `textColor`.

  The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.

  See Also:
    `textColor`

### textColor

    public final QColor textColor()

  Returns the color of the group box title.

  The default value is an invalid color with the RGB value (0, 0, 0). An invalid color is a color that is not properly set up for the underlying window system.

  See Also:
    `setTextColor`

### fromNativePointer

    public static QStyleOptionGroupBox fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionGroupBox instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionGroupBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionGroupBox array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD